Skip to main content
PATCH
/
organizations
/
{organization_id}
/
profile
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "display_name": "<string>",
  "email": "jsmith@example.com",
  "username": "<string>",
  "type": "user",
  "picture": "<string>",
  "company_type": "<string>",
  "company_name": "<string>",
  "currency": "<string>",
  "vat_number": "<string>",
  "company_role": "<string>",
  "website_url": "<string>",
  "new_ui": true,
  "ui_colorscheme": "<string>",
  "default_catalog": "<string>",
  "project_options_url": "<string>",
  "marketing": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "billing_contact": "jsmith@example.com",
  "current_trial": {
    "active": true,
    "created": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "expiration": "2023-11-07T05:31:56Z",
    "current": {
      "formatted": "<string>",
      "amount": "<string>",
      "currency": "<string>",
      "currency_symbol": "<string>"
    },
    "spend": {
      "formatted": "<string>",
      "amount": "<string>",
      "currency": "<string>",
      "currency_symbol": "<string>"
    },
    "spend_remaining": {
      "formatted": "<string>",
      "amount": "<string>",
      "currency": "<string>",
      "currency_symbol": "<string>",
      "unlimited": true
    },
    "projects": {
      "id": "<string>",
      "name": "<string>",
      "total": {
        "amount": 123,
        "currency_code": "<string>",
        "currency_symbol": "<string>",
        "formatted": "<string>"
      }
    },
    "pending_verification": "credit-card",
    "model": "<string>",
    "days_remaining": 123
  },
  "invoiced": true
}

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<ulid>
required

The ID of the organization.

Body

application/json
default_catalog
string

The URL of a catalog file which overrides the default.

project_options_url
string<uri>

The URL of an organization-wide project options file.

company_name
string

The company name.

vat_number
string

The VAT number of the company.

billing_contact
string<email>

The e-mail address of a contact to whom billing notices will be sent.

Response

OK

The user profile.

id
string<uuid>

The user's unique ID.

display_name
string

The user's display name.

email
string<email>

The user's email address.

username
string

The user's username.

type
enum<string>

The user's type (user/organization).

Available options:
user,
organization
picture
string<url>

The URL of the user's picture.

company_type
string

The company type.

company_name
string

The name of the company.

currency
string

A 3-letter ISO 4217 currency code (assigned according to the billing address).

vat_number
string

The vat number of the user.

company_role
string

The role of the user in the company.

website_url
string

The user or company website.

new_ui
boolean

Whether the new UI features are enabled for this user.

ui_colorscheme
string

The user's chosen color scheme for user interfaces.

default_catalog
string

The URL of a catalog file which overrides the default.

project_options_url
string

The URL of an account-wide project options file.

marketing
boolean

Flag if the user agreed to receive marketing communication.

created_at
string<date-time>

The timestamp representing when the user account was created.

updated_at
string<date-time>

The timestamp representing when the user account was last modified.

billing_contact
string<email>

The e-mail address of a contact to whom billing notices will be sent.

current_trial
object

The current trial for the profile.

invoiced
boolean

The customer is invoiced.